## gpac 0.5.2-426-gc5ad4e4~dfsg4

=== debian/changelog ===
gpac (0.5.2-426-gc5ad4e4~dfsg4-1) unstable; urgency=medium

  [ Alessio Treglia ]
  * New upstream version 0.5.2-426-gc5ad4e4 (Closes: #776301, #783879)
  * Update repacking mechanism.
    The project moved to github.
  * Update repack.sh
  * Update compression in gbp.conf
  * Refresh patches

  [ Balint Reczey ]
  * Refresh remaining patches
  * Update passing revision to configure
  * Don't fail the build intentionally on unknown systems
  * Skip test using .swf file
  * List removed files in copyright file
  * Remove sourceless .swf from original tarball
  * Add myself to uploaders

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 28 Jun 2015 11:44:32 -0500
