=== debian/control ===
Source: gpac
Section: graphics
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
 Alessio Treglia <alessio@debian.org>,
 Balint Reczey <balint@balintreczey.hu>
Build-Depends:
 debhelper (>= 9),
 freeglut3-dev,
 liba52-0.7.4-dev,
 libasound2-dev,
 libavcodec-dev (>= 6:10~),
 libavdevice-dev (>= 6:10~),
 libavformat-dev (>= 6:10~),
 libavutil-dev (>= 6:10~),
 libfaad-dev,
 libfreenect-dev,
 libfreetype6-dev,
 libjack-dev,
 libjpeg-dev,
 libmad0-dev,
 libogg-dev,
 libopenjpeg-dev,
 libpng-dev,
 libpulse-dev,
 libsdl1.2-dev,
 libswscale-dev (>= 6:10~),
 libtheora-dev,
 libusb-1.0-0-dev,
 libvorbis-dev,
 libxml2-dev,
 libxv-dev,
 libxvidcore-dev
Standards-Version: 3.9.5
Homepage: http://gpac.wp.mines-telecom.fr/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/gpac.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/gpac.git

Package: gpac
Architecture: any
Depends:
 gpac-modules-base (= ${binary:Version}),
 libgpac3 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: GPAC Project on Advanced Content - utilities
 GPAC stands for GPAC Project on Advanced Content (a recursive acronym). It is
 an Open Source multimedia framework for research and academic purposes. The
 project covers different aspects of multimedia, with a focus on presentation
 technologies (graphics, animation and interactivity).
 .
 This package contains the following utilities:
   - MP4Client (content packaging)
   - MP4Box

Package: gpac-dbg
Priority: extra
Section: debug
Architecture: any
Depends:
 gpac (= ${binary:Version}),
 gpac-modules-base (= ${binary:Version}),
 libgpac-dbg (= ${binary:Version}),
 ${misc:Depends}
Description: GPAC Project on Advanced Content - debugging symbols
 GPAC stands for GPAC Project on Advanced Content (a recursive acronym). It is
 an Open Source multimedia framework for research and academic purposes. The
 project covers different aspects of multimedia, with a focus on presentation
 technologies (graphics, animation and interactivity).
 .
 This package provides the debugging symbols for GPAC applications.

Package: gpac-modules-base
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Breaks:
 gpac (<= 0.4.5+svn3462~dfsg0-1~)
Replaces:
 gpac (<= 0.4.5+svn3462~dfsg0-1~)
Depends:
 libgpac3 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: GPAC Project on Advanced Content - modules
 GPAC stands for GPAC Project on Advanced Content (a recursive acronym). It is
 an Open Source multimedia framework for research and academic purposes. The
 project covers different aspects of multimedia, with a focus on presentation
 technologies (graphics, animation and interactivity).
 .
 This package contains the GPAC modules.

Package: libgpac3
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: GPAC Project on Advanced Content - shared libraries
 GPAC stands for GPAC Project on Advanced Content (a recursive acronym). It is
 an Open Source multimedia framework for research and academic purposes. The
 project covers different aspects of multimedia, with a focus on presentation
 technologies (graphics, animation and interactivity).
 .
 This package contains the shared libraries used at runtime in depending
 packages.

Package: libgpac-dbg
Priority: extra
Section: debug
Architecture: any
Depends:
 libgpac3 (= ${binary:Version}),
 ${misc:Depends}
Description: GPAC Project on Advanced Content - debugging symbols for libgpac3
 GPAC stands for GPAC Project on Advanced Content (a recursive acronym). It is
 an Open Source multimedia framework for research and academic purposes. The
 project covers different aspects of multimedia, with a focus on presentation
 technologies (graphics, animation and interactivity).
 .
 This package provides the debugging symbols for libgpac3.

Package: libgpac-dev
Architecture: any
Section: libdevel
Depends:
 libgpac3 (= ${binary:Version}),
 ${misc:Depends}
Replaces:
 gpac (<= 0.4.2~rc2-0ubuntu1)
Description: GPAC Project on Advanced Content - development files
 GPAC stands for GPAC Project on Advanced Content (a recursive acronym). It is
 an Open Source multimedia framework for research and academic purposes. The
 project covers different aspects of multimedia, with a focus on presentation
 technologies (graphics, animation and interactivity).
 .
 This package contains files that are used for application development.
